hwy::HWY_NAMESPACE::detail::OrderAscending< T > Struct Template Reference

`#include <traits-inl.h>`

Inheritance diagram for hwy::HWY_NAMESPACE::detail::OrderAscending< T >:

## Public Types

using | Order = SortAscending
Public Types inherited from hwy::HWY_NAMESPACE::detail::KeyLane< T >
using | LaneType = T
using | KeyType = T

## Public Member Functions

HWY_INLINE bool | Compare1 (const T *a, const T *b)
template<class D >
HWY_INLINE Mask< D > | Compare (D, Vec< D > a, Vec< D > b)
Public Member Functions inherited from hwy::HWY_NAMESPACE::detail::KeyLane< T >
constexpr bool | Is128 () const
constexpr size_t | LanesPerKey () const
std::string | KeyString () const

## Member Typedef Documentation

## Order

template<typename T >

using hwy::HWY_NAMESPACE::detail::OrderAscending< T >::Order = SortAscending

## Member Function Documentation

## Compare()

template<typename T >
template<class D >

HWY_INLINE Mask< D > hwy::HWY_NAMESPACE::detail::OrderAscending< T >::Compare | ( | D | ,
|  | Vec< D > | a,
|  | Vec< D > | b
| ) |  |

inline

## Compare1()

template<typename T >

HWY_INLINE bool hwy::HWY_NAMESPACE::detail::OrderAscending< T >::Compare1 | ( | const T * | a,
|  | const T * | b
| ) |  |

inline

The documentation for this struct was generated from the following file:

- traits-inl.h